:root {
    --success-gradient-1: linear-gradient(180deg, rgb(31, 131, 58) 0%, rgb(20, 215, 72) 100%);
}

.rbt-static-bar {
    position: relative;
    background: none;
    box-shadow: none;
}

.report-wrapper .loader {
    position: relative;
    text-align: center;
    top: 50px;
    left: 25px;
}

.report-wrapper p {
    text-align: center;
}

.header-default .logo {
    width: auto;
}

.header-default .logo a img {
    max-height: 40px;
}

.usage-examples li {
    color: var(--color-light);
}

/* Base table styles */
.table {
    width: 100%;
    border-collapse: separate;
    border-spacing: 0;
    border-radius: var(--radius);
    overflow: hidden;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    background: var(--color-lightest);
}

.table th,
.table td {
    padding: 12px 15px;
    text-align: left;
}

.table th {
    background: linear-gradient(90deg, var(--color-primary-gradient-start), var(--color-primary-gradient-end));
    color: var(--color-white);
    font-weight: var(--p-bold);
}

.table tr:nth-child(even) {
    background: var(--color-light);
}

.table tr:hover {
    background: var(--color-primary-alt);
}

.table tr:hover td {
    color: var(--color-light);
}


.table td {
    border-bottom: 1px solid var(--color-border-light);
}

/* Dark mode styles */
.active-dark-mode .table {
    background: var(--dark-bg-1);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
}

.active-dark-mode .table th {
    background: var(--dark-gradient-2);
}

.active-dark-mode .table tr:hover {
    background: var(--color-dark);
    color: var(--color-light);
}

.active-dark-mode .table td {
    border-bottom: 1px solid var(--color-border-light);
}

.active-dark-mode .table tr:hover td {
    color: var(--color-light);
}

.active-dark-mode .usage-examples li {
    color: var(--color-dark);
}

input[type=checkbox] ~ label::before, input[type=radio] ~ label::before {
    background: linear-gradient(90deg, #666, #333);
    border: 1px solid var(--color-gray);
}

textarea::placeholder, input::placeholder {
    color: #666 !important;
}

.active-dark-mode textarea::placeholder, .active-dark-mode input::placeholder {
    color: #ccc !important;
}

.terms h2 {
    font-size: 20px;
}

.terms p {
    font-size: 14px;
}

.rbt-static-bar {
    width: 100%
}

@media (max-width: 576px) {
    .responsive-textarea {
        rows: 5 !important;
        height: 100px !important;
    }
}

.active-dark-mode .rbt-static-bar {
    background: none;
    box-shadow: none;
}

.forgot-password {
    position: relative;
}

.bootstrap-select:not([class*=col-]):not([class*=form-control]):not(.input-group-btn) {
    width: 100%;
}

.bootstrap-select > .dropdown-toggle.bs-placeholder, .bootstrap-select > .dropdown-toggle {
    border: var(--border-width) solid var(--color-border);
    border-radius: var(--radius);
    height: 50px;
    vertical-align: center;
    font-size: 16px;
    padding: 0 15px;
    background: transparent;
    color: var(--color-body);
}

.bootstrap-select .dropdown-toggle .filter-option {
    align-content: space-evenly;
}

.forgot-password input {
    position: relative;
    padding: 10px 15px;
    padding-left: 50px;
}

.forgot-password .icon {
    position: absolute;
    top: 50%;
    left: 20px;
    transform: translateY(-50%);
}

.active-dark-mode .forgot-password .icon {
    color: var(--color-primary);
}

.active-dark-mode .forgot-password input {
    border: 1px solid var(--color-primary);
}

.active-dark-mode .bootstrap-select > .dropdown-toggle.bs-placeholder, .active-dark-mode .bootstrap-select > .dropdown-toggle {
    border: 2px solid rgba(from var(--color-primary) r g b/0.15);
    color: var(--color-dark);
}

.bootstrap-select > .dropdown-toggle.bs-placeholder, .bootstrap-select > .dropdown-toggle {
    color: var(--color-body);
}

.bootstrap-select .dropdown-item.active {
    background: rgba(from var(--color-primary) r g b/0.15);
}

.active-dark-mode .bootstrap-select .dropdown-item.active {
    background: rgba(from var(--color-primary) r g b/0.15);
}

.invalid-login-details {
    position: absolute;
}

.img404 {
    height: 50%;
    border-radius: 10%;
}

.single-settings-box .rbt-default-form label.gj-checkbox-bootstrap-4 {
    margin-bottom: 0 !important;
}

.gj-tree-bootstrap-4 .list-group-item {
    background: rgba(from var(--color-primary) r g b/0.15);
}

.gj-tree-bootstrap-4 ul.gj-list-bootstrap li {
    color: var(--color-body);
}

.active-dark-mode .gj-tree-bootstrap-4 ul.gj-list-bootstrap li {
    color: var(--color-dark);
}

.tab-button-style-2 {
    display: flex;
    justify-content: space-between;
}

.tab-button-style-2 .stretch-right {
    margin-left: auto;
}

.bg-red {
    background: var(--color-danger) !important;
}

.tooltip-inner {
    font-size: 1.3rem !important; /* Change this value to adjust the font size */
    padding: 10px !important; /* Adjust padding as needed */
}

.section-title2 {
    display: flex;
    justify-content: space-between;
    align-items: baseline;
}

.section-title2 .btn-default {
    flex-grow: 1;
    max-width: 200px; /* Adjust as needed */
    margin-left: 20px; /* Adjust as needed */
    align-self: flex-start;
}

.btn-success {
    padding: 0 28px;
    border-style: solid;
    border-width: 0px;
    border-color: transparent;
    border-radius: 8px;
    background: linear-gradient(to right, var(--color-success),#26CC52FF);
    background-size: 200% auto;
    transition-duration: 300ms;
    color: var(--color-white);
    font-size: 16px;
    font-weight: 500;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    height: 50px;
    line-height: 50px;
    letter-spacing: 0.5px;
    width: auto;
    transition: 0.4s;
}

.btn-success:hover {
    background: linear-gradient(to right, var(--color-success), #2df161);
}

.rbt-dashboard-header {
    z-index: 1000 !important;
}

#myChart,#chartDisplay,#insightsText {
    height: auto;
    min-height:200px;
    min-width: 100%;
    width: 100%;
}

@media only screen and (max-width: 767px) {
    a.btn-default, button.btn-default, div.btn-default,.btn-success {
        padding: 0 15px;
    }
}

.btn-default[disabled] {
    background: rgba(129,90,245, 0.3);
    color: var(--color-white);
}

.active-dark-mode .slider-bg-image .bg-shape .bg-shape-two,
.slider-bg-image .bg-shape .bg-shape-two,
.active-dark-mode .slider-bg-image .bg-shape .bg-shape-one,
.slider-bg-image .bg-shape .bg-shape-one
{
    z-index:1;
}
#toast-container > .toast {
    font-size: 14px; /* Adjust the font size as needed */
    padding: 20px;   /* Adjust the padding as needed */
    width: auto;
    padding-left: 50px;
}
#toast-container > .toast-message {

}

.modal-content .loaderBody { text-align: center; height: 250px }

.dropdown-menu li .dropdown-item {
    font-size: 20px;
}


.anim {
    width:100%;
    border-radius:5px;
    border: 1px solid #805AF5
}
